BETTERMENU
ApiOrg

Create Org Search Token

Mints one short-lived, independently-scoped Typesense search token per collection the caller is authorized to search. Combine the returned host/port/protocol with each entries[name]'s token/collection/query to query Typesense directly from the client — no per-keystroke request to this API.

POST
/org/search-token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.bettermenu.live/org/search-token" \  -H "Content-Type: application/json" \  -d '{}'
{
  "host": "string",
  "port": 0,
  "protocol": "string",
  "entries": {
    "property1": {
      "token": "string",
      "collection": "string",
      "expires_at": 0,
      "query": {
        "query_by": "string",
        "sort_by": "string",
        "num_typos": 0,
        "prefix": true,
        "per_page": 0,
        "query_by_weights": "string",
        "include_fields": "string",
        "highlight_fields": "string",
        "prioritize_exact_match": true,
        "drop_tokens_mode": "string",
        "single_token_sort_by": "string",
        "single_token_num_typos": 0
      }
    },
    "property2": {
      "token": "string",
      "collection": "string",
      "expires_at": 0,
      "query": {
        "query_by": "string",
        "sort_by": "string",
        "num_typos": 0,
        "prefix": true,
        "per_page": 0,
        "query_by_weights": "string",
        "include_fields": "string",
        "highlight_fields": "string",
        "prioritize_exact_match": true,
        "drop_tokens_mode": "string",
        "single_token_sort_by": "string",
        "single_token_num_typos": 0
      }
    }
  },
  "routing_fields": [
    "string"
  ]
}
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
BETTERMENU

FDA-compliant nutrition labels from a recipe, in minutes.

Visit bettermenu.live